# $Revision: 1.32 $, $Date: 2011/07/24 15:55:14 $
#
# TODO: doesn't pass all tests
#
# Conditional build:
%if "%{pld_release}" == "ac"
%bcond_with	tests		# build without tests
%else
%bcond_without	tests		# build without tests
%endif

%define		modname	ffmpeg
Summary:	Extension to manipulate movie in PHP
Summary(pl.UTF-8):	Rozszerzenie do obróbki filmów w PHP
Name:		php-%{modname}
Version:	0.6.3
Release:	3
License:	GPL
Group:		Development/Languages/PHP
Source0:	http://downloads.sourceforge.net/ffmpeg-php/ffmpeg-php-0.6.0.tbz2
# Source0-md5:	f779c0dbffda9dac54729d60c0e04c05
Patch100:	branch.diff
Patch1:		avcodec_find_decoder-warn.patch
Patch4:		ffmpeg-0.6.patch
Patch6:		allow_persistent_on_persistentMovie.phpt.patch
Patch7:		test_fixes.patch
Patch8:		tests-frame_md5.patch
Patch9:		tests-metadata-api.patch
Patch10:	%{name}-ffmpeg08.patch
URL:		http://ffmpeg-php.sourceforge.net/
%if %{with tests}
BuildRequires:	/usr/bin/php
BuildRequires:	php-devel >= 4:5.3.2-5
BuildRequires:	php-pcre
%else
BuildRequires:	php-devel >= 3:5.0.0
%endif
BuildRequires:	ffmpeg-devel >= 0.7.1
BuildRequires:	php-gd
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.344
Requires:	php-common >= 4:5.0.4
Requires:	php-gd
%{?requires_php_extension}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
php-ffmpeg is an extension for PHP that adds an easy to use,
object-oriented API for accessing and retrieving information from
video and audio files. It has methods for returning frames from movie
files as images that can be manipulated using PHP's image functions.
This works well for automatically creating thumbnail images from
movies. ffmpeg-php is also useful for reporting the duration and
bitrate of audio files (mp3, wma...). ffmpeg-php can access many of
the video formats supported by ffmpeg (mov, avi, mpg, wmv...).

%description -l pl.UTF-8
php-ffmpeg to rozszerzenie PHP dodające łatwe w użyciu, zorientowane
obiektowo API pozwalające na odtwarzanie informacji z plików filmów i
dźwiękowych. Zawiera metody zwracające ramki filmów jako obrazy, które
można obrabiać funkcjami PHP. Pozwala to automatycznie tworzyć
miniaturki obrazów z filmów. ffmpeg-php jest przydatne także do
uzyskiwania informacji o czasie trwania i paśmie plików dźwiękowych
(mp3, wma...). ffmpeg-php pozwala na dostęp do wielu formatów filmów
obsługiwanych przez ffmpeg (mov, avi, mpg, wmv...).

%prep
%setup -q -n ffmpeg-php-0.6.0
%patch100 -p0
%patch1 -p1
%if "%{pld_release}" != "ac"
%patch4 -p1
%endif
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

# empty file
rm tests/getFramesBackwards.phpt

%build
phpize
CPPFLAGS="%{rpmcppflags}"
%configure
%{__make}

%if %{with tests}
cat <<'EOF' > run-tests.sh
#!/bin/sh
%{__make} test \
	PHP_TEST_SHARED_SYSTEM_EXTENSIONS+="gd" \
	RUN_TESTS_SETTINGS="-q $*"
EOF
chmod +x run-tests.sh
./run-tests.sh -w failed.log
test -f failed.log -a ! -s failed.log
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}

# install config file
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog CREDITS EXPERIMENTAL LICENSE TODO test_ffmpeg.php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-ffmpeg.spec,v $
Revision 1.32  2011/07/24 15:55:14  arekm
- release 3

Revision 1.31  2011/07/11 12:47:52  lisu
- added patch which fixes build with newer ffmpeg
- BR: php-pcre when building with tests
- TODO added

Revision 1.30  2011/06/27 19:22:53  arekm
- release 2

Revision 1.29  2011/01/05 19:52:33  glen
- use new ffmpeg metadata api to get id3 tags

Revision 1.28  2011/01/05 18:14:19  glen
- update md5 of frame dump tests (checksums against ffmpeg 0.6.1)

Revision 1.27  2011/01/05 18:02:52  glen
- add test fixes from debian

Revision 1.26  2011/01/05 17:59:16  glen
- ffmpeg 0.5 is minimum, update failing tests

Revision 1.25  2011/01/05 17:19:33  glen
- tests-genre.patch outdated with branch diff

Revision 1.24  2011/01/05 17:17:58  glen
- build with branch diff (version is 0.6.3 according to changes)

Revision 1.23  2010/12/11 21:39:30  arekm
- release 11

Revision 1.22  2010/10/22 13:21:22  glen
- minor fixes for ffmpeg 0.6

Revision 1.21  2010/10/22 12:24:19  glen
- ffmpeg PIX_FMT_RGBA32 fix

Revision 1.20  2010/08/25 11:33:46  glen
- release 10

Revision 1.19  2010/08/25 11:31:47  glen
- release 9

Revision 1.18  2010/08/24 12:45:36  glen
- do not make avcodec_find_decoder failure fatal; rel 8

Revision 1.17  2010/06/07 20:29:10  glen
- update tests to run with php53

Revision 1.16  2010/06/02 18:03:24  glen
- release 6

Revision 1.15  2009/06/26 00:56:49  glen
- tests but getPTS pass

Revision 1.14  2009/06/26 00:49:46  glen
- split test patches by workaround type

Revision 1.13  2009/06/25 23:46:29  glen
- allow tests to fail

Revision 1.12  2009/06/25 23:27:22  glen
- hack tests working

Revision 1.11  2009/06/25 20:13:42  glen
- disable gdImageBoundsSafe check. it is still broken; rel 5

Revision 1.10  2009/06/12 07:41:44  glen
- add missing %php_webserver_restart; rel 4

Revision 1.9  2008/11/01 22:01:29  blues
- rel.2

Revision 1.8  2008/10/27 08:28:27  hawk
- s/lib/lib64 not needed anymore

Revision 1.7  2008/10/21 15:14:08  hawk
- geez, release 1, I should go home ASAP

Revision 1.6  2008/10/21 15:13:40  hawk
- blah, I'm blind, updated to 0.6.0

Revision 1.5  2008/10/21 15:12:02  hawk
- updated to 0.5.3.1 but doesn't build with recent ffmpeg

Revision 1.4  2008-03-26 06:37:37  qboosh
- pl

Revision 1.3  2007-09-26 10:27:01  glen
- rel 1

Revision 1.2  2007/09/05 22:43:58  glen
- builds on amd64

Revision 1.1  2007/09/05 22:32:31  glen
- new, based on http://remi.collet.free.fr/rpms/extras/php-ffmpeg.spec
